builddir = build

pandocflags = --filter writefreely-validate --wrap=none

postid = bdg7m2ck2d

rule pandoc
    command = pandoc $pandocflags -o $out $in
    description = pandoc $out

rule upload
    command = writefreely-cli $postid $in
    description = upload $postid

build $builddir/post-full.md: pandoc 00-intro.md 01-crypto-blocky.md 02-crypto-poker.md 03-end.md
build upload: upload $builddir/post-full.md
